@prefix : <http://example.org/Device#> .
@prefix ex: <http://example.org/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix ottr: <http://ns.ottr.xyz/0.4/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix ax: <http://tpl.ottr.xyz/owl/axiom/0.1/> .

ex:Device[owl:Class ?device, NEList<owl:Class> ?components, ? xsd:string ?label, owl:Class ?deviceType  = ex:Device] :: {
	ex:ConsistsOf(?device, ?components),
	ottr:Triple(?device, rdfs:label, ?label),
	ax:SubClassOf(?device, ?deviceType)
}.